# MPE_Seq_begin

Begins a sequential section of code.

## Synopsis

    void MPE_Seq_begin( MPI_Comm comm, int ng )

## Input Parameters

| comm | Communicator to sequentialize.
| ng | Number in group. This many processes are allowed to execute at the same time. Usually one.

## Notes

`MPE_Seq_begin` and `MPE_Seq_end` provide a way to force a section of code to be executed by the processes in rank order. Typically, this is done with

      MPE_Seq_begin( comm, 1 );
      <code to be executed sequentially>
      MPE_Seq_end( comm, 1 );

Often, the sequential code contains output statements (e.g., `printf`) to be executed. Note that you may need to flush the I/O buffers before calling `MPE_Seq_end`; also note that some systems do not propagate I/O in any order to the controling terminal (in other words, even if you flush the output, you may not get the data in the order that you want).

Location:mpe_seq.c